buildscript {
    repositories {
        mavenLocal()
        maven {
            allowInsecureProtocol = true
            url "http://maven.aliyun.com/nexus/content/groups/public" }
        mavenCentral()
    }
    dependencies {
        classpath("$bootGroup:spring-boot-gradle-plugin:$springBootVersion")
    }
}


version = "2.0.1"

apply plugin: "$bootGroup"
apply plugin: "io.spring.dependency-management"


dependencies {


    implementation("org.xerial:sqlite-jdbc:$sqliteJdbc")
    implementation("org.apache.commons:commons-lang3:$commonsLang3Version")
    implementation("$bootGroup:spring-boot-starter-web"){
        exclude group:"org.springframework.boot:spring-boot-starter-json"
        exclude group:"com.fasterxml.jackson.core:jackson-databind"
    }
    implementation("$bootGroup:spring-boot-starter-undertow")
    implementation("$bootGroup:spring-boot-starter-websocket")
    implementation("org.apache.logging.log4j:log4j-core:$log4jVersion")
    implementation("org.apache.logging.log4j:log4j-jul:$log4jVersion")
    implementation("org.apache.logging.log4j:log4j-api:$log4jVersion")
    implementation("org.apache.logging.log4j:log4j-slf4j-impl:$log4jVersion")
    implementation ("com.alibaba:druid:$alibabaDruidVersion")
    implementation ("com.alibaba:fastjson:$fastjsonVersion")
    testImplementation("$bootGroup:spring-boot-starter-test")

    implementation group: "io.jsonwebtoken", name: "jjwt", version: "0.9.0"
    implementation("org.apache.poi:poi-ooxml:$poiVersion")
    implementation("net.sourceforge.jexcelapi:jxl:2.6.12")
    implementation("org.apache.poi:poi:$poiVersion")
    implementation("org.jsoup:jsoup:1.8.3")
    implementation("org.springframework.boot:spring-boot-starter-thymeleaf")
    implementation("org.seleniumhq.selenium:selenium-java:3.4.0")
    implementation("org.dom4j:dom4j:2.1.3")
    implementation "org.springdoc:springdoc-openapi-ui:1.6.6"


}

